Displaying 3 results from an estimated 3 matches for "42e3925".
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...tests/test-truncate1.sh | 9 ++-------
tests/test-truncate2.sh | 9 ++-------
tests/test-zero.sh | 14 ++------------
24 files changed, 73 insertions(+), 157 deletions(-)
diff --git a/tests/functions.sh.in b/tests/functions.sh.in
index 62fdfe5..42e3925 100644
--- a/tests/functions.sh.in
+++ b/tests/functions.sh.in
@@ -32,6 +32,31 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+# cleanup_fn f [args]
+#
+# A generic trap handling function. This runs the function f + args
+# when the script exits for any...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...------------
tests/test-truncate1.sh | 27 +------------
tests/test-truncate2.sh | 27 +------------
tests/test-zero.sh | 3 --
24 files changed, 104 insertions(+), 553 deletions(-)
diff --git a/tests/functions.sh.in b/tests/functions.sh.in
index 42e3925..5c1f34c 100644
--- a/tests/functions.sh.in
+++ b/tests/functions.sh.in
@@ -57,6 +57,39 @@ _run_cleanup_hooks ()
}
trap _run_cleanup_hooks INT QUIT TERM EXIT ERR
+# start_nbdkit -P pidfile args...
+#
+# Run nbdkit with args and wait for it to start up. If it fails to
+# start up, exit with an...